@()(implicit i18nMessages: Messages)

<div ng-controller="ViewController as ctrl" class="clearfix">
    <ul class="navigation">
        <li ng-class="{menuselected : isActive('interface.history')}">
            <a class="btn btn-lg btn-circle btn-menu" ng-click="ctrl.navigateTo('history')" title="{{'SIDEBAR_HISTORY' | translate}}">
                <i class="xivo-icone-menu-historique" aria-hidden="true"></i>
                <span class="badge ng-binding ng-scope" ng-if="ctrl.missedCalls > 0">{{ctrl.missedCalls}}</span>
            </a>
        </li>

        <li ng-class="{menuselected : isActive('interface.favorites')}">
            <a class="btn btn-lg btn-circle btn-menu" ng-click="ctrl.navigateTo('favorites')" title="{{'SIDEBAR_FAVORITES' | translate}}">
                <i class="xivo-favoris" aria-hidden="true"></i>
            </a>
        </li>
        <li ng-class="{menuselected : isActive('interface.groups')}" ng-if="ctrl.hasGroup()">
            <a class="btn btn-lg btn-circle btn-menu" ng-click="ctrl.navigateTo('groups')" title="{{'SIDEBAR_GROUPS' | translate}}">
                <i class="fas fa-users" aria-hidden="true"></i>
            </a>
        </li>

        <li ng-class="{menuselected : isActive('interface.conversationHistory')}" ng-if="ctrl.appConfig.chat">
            <a class="btn btn-lg btn-circle btn-menu" ng-click="ctrl.navigateTo('conversationHistory')" title="{{'MESSAGES_HISTORY' | translate}}">
                <i class="xivo-icone-menu-message" aria="hidden"></i>
                <new-message-badge primary-color='#5cb85c'></new-message-badge>
            </a>
        </li>
    </ul>

    <div class="input-group search-form">
        <input class="form-control" type="text" placeholder='@i18nMessages("xivo.dialbox")' id="search" ng-keyup="ctrl.isEnterKey($event)" ng-model="destination"
        uib-tooltip="{{ ctrl.tooltip | translate}}" tooltip-placement="bottom" tooltip-is-open="ctrl.tooltipVisible" tooltip-enable="ctrl.tooltipVisible"
        tooltip-class="tooltipSearchClass">

        <span class="input-group-btn">
            <button ng-click="ctrl.dialOrSearch()" class="btn btn-default" id="xuc_search" type="button" title="">
                <i class="fa {{isPhone ? 'fa-phone' : 'fa-search'}}" aria-hidden="true"></i>
            </button>
        </span>

        <button ng-if="ctrl.showExternalViewButton" ng-click="ctrl.showExternalView()" class="openExtView" ng-class="{active: isActive('interface.externalview')}" title=""><i class="fa fa-book" aria-hidden="true"></i></button>

        <a ng-if="destination" ng-click="ctrl.emptyInput()" class="clearinput" title="{{'EMPTY_INPUT' | translate}}">X</a>

        <button ng-if="ctrl.isConference()" class="icon-dropdown" uib-dropdown on-toggle="toggled(open)" title="{{'MORE_ACTIONS' | translate}}">
            <i class="fas {{isPhone? 'fa-angle-down' : ''}}" id="simple-dropdown" uib-dropdown-toggle></i>
            <ul class="dropdown-menu search-bar-dropdown" uib-dropdown-menu aria-labelledby="simple-dropdown" title="">
                  <li>
                    <a href="" ng-click="ctrl.dial()">
                        <i class="fa fa-phone"></i>
                        {{'CALL_NUMBER' | translate}}
                    </a>
                  </li>
                  <li>
                    <a href="" ng-click="ctrl.inviteToConference()" ng-class="ctrl.canInviteToConference()">
                        <i class="fas fa-user-plus"></i>
                        {{'INVITE_TO_CONFERENCE' | translate}}
                    </a>
                  </li>
                  <li>
                    <a href="" ng-click="ctrl.search()">
                        <i class="fa fa-search"></i>
                        {{'SEARCH_NUMBER' | translate}}
                    </a>
                  </li>

              </ul>
        </button>

    </div>
    </div>

</div>
    <call-control id="callControl"></call-control>
